We’ve managed to upgrade to 2.7 Coltrane. For some reason, this blog doesn’t like the automatic upgrade (I did check hosting, and our hosts are listed as ok - so maybe it’s just all the tests we’ve done) , so it had to be done by hand. It was enough of a pain that I may postpone upgrading any non-testing blogs for a while.
At least until all the plugins we use say they are 2.7 compatible!

I really wish the automatic upgrade plugin had been upgraded for 2.7. It did the job far better than Wordpress, because it backed up the files for you, which the WP core updater does not do (even if it works).